POST
/api/v2/cards/{cardId}/bulk-shipExecute the card platform physical card shipment for the authenticated user's card.
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| cardId (path) | unknown | Yes | |
| userId (query) | unknown | No |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| Success | boolean | No | |
| CardId | unknown | No | |
| UserId | unknown | No | |
| ExternalCardId | string | No | |
| ShipmentExecuted | boolean | No | |
| Fees | array of CardPhysicalShipmentFeeV2 | No | |
| FeeZone | string | No | |
| FeeBinId | string | No | |
| CustomerPaysForProduction | boolean | No | |
| CustomerPaysForShippment | boolean | No | |
| CustomerProductionAmount | string | No | |
| CustomerShippingAmount | string | No | |
| RequiredAmount | string | No | |
| AvailableAmount | string | No | |
| Shortfall | string | No | |
| CardUnloadAttempted | boolean | No | |
| CardUnloadSucceeded | boolean | No | |
| CardUnloadAmount | string | No | |
| TaskId | string | No | |
| Status | string | No | |
| Message | string | No | |
| ErrorCode | string | No |
400 — Bad Request
| Field | Type | Required | Description |
|---|---|---|---|
| Success | boolean | No | |
| CardId | unknown | No | |
| UserId | unknown | No | |
| ExternalCardId | string | No | |
| ShipmentExecuted | boolean | No | |
| Fees | array of CardPhysicalShipmentFeeV2 | No | |
| FeeZone | string | No | |
| FeeBinId | string | No | |
| CustomerPaysForProduction | boolean | No | |
| CustomerPaysForShippment | boolean | No | |
| CustomerProductionAmount | string | No | |
| CustomerShippingAmount | string | No | |
| RequiredAmount | string | No | |
| AvailableAmount | string | No | |
| Shortfall | string | No | |
| CardUnloadAttempted | boolean | No | |
| CardUnloadSucceeded | boolean | No | |
| CardUnloadAmount | string | No | |
| TaskId | string | No | |
| Status | string | No | |
| Message | string | No | |
| ErrorCode | string | No |
401 — Unauthorized
| Field | Type | Required | Description |
|---|---|---|---|
| type | string | No | |
| title | string | No | |
| status | unknown | No | |
| detail | string | No | |
| instance | string | No |
404 — Not Found
| Field | Type | Required | Description |
|---|---|---|---|
| Success | boolean | No | |
| CardId | unknown | No | |
| UserId | unknown | No | |
| ExternalCardId | string | No | |
| ShipmentExecuted | boolean | No | |
| Fees | array of CardPhysicalShipmentFeeV2 | No | |
| FeeZone | string | No | |
| FeeBinId | string | No | |
| CustomerPaysForProduction | boolean | No | |
| CustomerPaysForShippment | boolean | No | |
| CustomerProductionAmount | string | No | |
| CustomerShippingAmount | string | No | |
| RequiredAmount | string | No | |
| AvailableAmount | string | No | |
| Shortfall | string | No | |
| CardUnloadAttempted | boolean | No | |
| CardUnloadSucceeded | boolean | No | |
| CardUnloadAmount | string | No | |
| TaskId | string | No | |
| Status | string | No | |
| Message | string | No | |
| ErrorCode | string | No |
Example request
curl -X POST "https://{base_url}/api/v2/cards/{cardId}/bulk-ship" \
-H "x-api-key: YOUR_API_KEY"This page is generated from the live OpenAPI specification and always matches the current API.